About InternetFileSize

About
InternetFileSize
Have you ever encountered an http:// or ftp:// link with unknown file sizes? Sometimes, the file size is determined incorrectly. But that is a not problem with Internet File Size. Now you can easily determine the file size, type and modification date on the internet.
Moreover, if your base http or ftp link is "encoded" (such as http://www.server.com/downloadfile?id=34532), the Internet File Size shows the real file http or ftp path.

MAIN FEATURES:
  • Convenient program interface and Internet Explorer integration:
    Internet File Size usage is very convenient. You can point http or ftp links by:
    - using the Internet Explorer context menu (right click on http or ftp link).
    - dragging and dropping the http or ftp links from the browser to the Internet File Size window.
    - dragging and dropping the selected text to the Internet File Size window (for example, when your http or ftp text document links, or http or ftp links, are not validated).
    Moreover, Internet File Size can work in tooltip mode. In this mode, it works similar to simple Windows hints (the window closes automatically after you switch to another application).

  • Redirected links support:
    If the http or ftp link was pointed with redirection (for example in such a way http://www.server.com/downloadfile?id=34532 ), Internet File Size shows not only the file size and type but the real http or ftp link path.

  • Proxy server with authorization support:
    If your PC is located on the proxy server or your file is located on the authorized required server, it will not prevent you from defining the file size. Internet File Size informs of the authorization you need. Proxy server settings can be taken from Internet Explorer.

  • File size representation in any units:
    You can get information about file size in any units. You can also use "Auto" mode to select units optimally.
Click to visit InternetFileSize homepage Click to visit Moveax web site


License Agreement

License
Agreement
Software License Agreement
InternetFileSize
for Microsoft® Windows® 98, ME, 2000, XP, 2003.
Copyright © 2003-2005 Moveax.
All Rights Reserved.

IMPORTANT - READ THESE TERMS CAREFULLY BEFORE INSTALLING THIS SOFTWARE.

BY DOWNLOADING OR USING THIS SOFTWARE, YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE AGREEMENT, THAT YOU UNDERSTAND IT, AND THAT YOU AGREE TO BE BOUND BY ITS TERMS. IF YOU DO NOT AGREE TO THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT, PROMPTLY EXIT THIS PAGE WITHOUT DOWNLOADING THE SOFTWARE.

Grant of License for Registered Users
Moveax, grants you a non-exclusive, non-transferable license to use the program with which this license is distributed (the "InternetFileSize"), including any documentation files accompanying the Software ("User Guide") on a personal computer to support up to the number of simultaneous users for which you have paid the license fee, and to make one backup copy of the Software, provided that:
(i) The Software is installed on only one server or personal computer;
(ii) The Software is NOT modified;
(iii) All copyright notices are maintained on the Software;
(iv) You agree to be bound by the terms of this License Agreement.
The Software and Documentation shall be used only by you, only for your own personal or internal business use and not in the operation of a service bureau or for the benefit of any other person or entity.

Ownership
You have no ownership fights in the Software. Rather, you have a license to use the Software as long as this License Agreement remains in full force and effect. Ownership of the Software, Documentation and all intellectual property fights therein shall remain at all times with Moveax. Any other use of the Software by any person, business, corporation, government organization or any other entity is strictly forbidden and is a violation of this License Agreement.

Copyright
The Software and Documentation contain material that is protected by United States Copyright Law and trade secret law, and by international treaty provisions. All fights not granted to you herein are expressly reserved by Moveax. You may not remove any proprietary notice of Moveax from any copy of the Software or Documentation.

Restrictions
You may not publish, display, disclose, rent, lease, modify, loan, distribute, or create derivative works based on the Software or any part thereof. You may not reverse engineer, decompile, translate, adapt, or disassemble the Software, nor shall you attempt to create the source code from the object code for the Software. You may not transmit the Software over any network or between any devices, although you may use the Software to make such transmissions of other materials. You may transfer the Software to other computers you own as long as you only use it on one computer at a time.

Confidentiality
You acknowledge that the Software contains proprietary trade secrets of Moveax and you hereby agree to maintain the confidentiality of the Software using at least as great a degree of care as you use to maintain the confidentiality of your own most confidential information. You agree to reasonably communicate the terms and conditions of this Software License Agreement to those persons employed by you who come into contact with the Software, and to use reasonable best efforts to ensure their compliance with such terms and conditions, including, without limitation, not knowingly permitting such persons to use any portion of the Program for the purpose of deriving the source code of the Program or defeating the Key.

Limitation of Liability
IN NO EVENT WILL MOVEAX BE LIABLE TO YOU OR ANY THIRD PARTY FOR ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES (INCLUDING, WITHOUT LIMITATION, INDIRECT, SPECIAL, PUNITIVE, OR EXEMPLARY DAMAGES FOR LOSS OF BUSINESS, LOSS OF PROFITS, BUSINESS INTERRUPTION, OR LOSS OF BUSINESS INFORMATION) ARISING OUT OF THE USE OF OR INABILITY TO USE THE PROGRAM, OR FOR ANY CLAIM BY ANY OTHER PARTY, EVEN IF MOVEAX HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. MOVEAX'S AGGREGATE LIABILITY WITH RESPECT TO ITS OBLIGATIONS UNDER THIS AGREEMENT OR OTHERWISE WITH RESPECT TO THE SOFTWARE AND DOCUMENTATION OR OTHERWISE SHALL NOT EXCEED THE AMOUNT OF THE LICENSE FEE PAID BY YOU FOR THE SOFTWARE AND DOCUMENTATION. BECAUSE SOME STATES/COUNTRIES DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

Termination
This License Agreement is effective until it is terminated. You may terminate this License Agreement at any time by destroying or returning to Moveax all copies of the Software and Documentation in your possession or under your control. Moveax may terminate this License Agreement for any reason, including, but not limited to, if Moveax finds that you have violated any of the terms of this License Agreement. Upon notification of termination, you agree to destroy or return to Moveax all copies of the Software and Documentation and to certify in writing that all known copies, including backup copies, have been destroyed. All provisions relating to confidentiality, proprietary fights, and non-disclosure shall survive the termination of this Software License Agreement.

General
This License Agreement shall constitute the entire Agreement between the parties hereto. Any waiver or modification of this License Agreement shall only be effective if it is in writing and signed by both parties hereto. If any part of this License Agreement is found invalid or unenforceable by a court of competent jurisdiction, the remainder of this License Agreement shall be interpreted so as to reasonably effect the intention of the parties.


Minimum requirements

Minimum
requirements
The InternetFileSize requires:
  • Windows® 98, 2000, XP, XP x64 or higher
  • Internet Explorer 5.0 or higher
The Microsoft® is trade mark of the Microsoft® Corp.
All rights to the products mentioned above pertain to Microsoft®.


Contacts

Moveax web site: | http://www.moveax.com/
InternetFileSize home page: | http://www.moveax.com/internetfilesize/
Support: | http://support.moveax.com/
Support email: | ifs@moveax.com


How to use InternetFileSize

How to use
InternetFileSize
With InternetFileSize now you can view size of the file located on the Internet.
In addition, this tool shows real file location that reveals some tricks that use webmasters.

How to use this feature?
  • Using Drag & Drop method:
    1. Run the Internet File Size tool from the Start Menu.
    2. Drag a link from the web page and drop it on the window. You can also:
      - drag the selected text from web page, text document etc.
      - paste shortcut from the clipboard.
      Click "Get file size" button if required.
    3. Now you can view the file name, size and other useful information, copy the file link text into a download manager or into your links collection for future usage.
  • Using right-click menu (Internet Explorer plugin mode):
    Right-click an Explorer link and select Get File Size menu item.
The most powerful ways is the Internet Explorer plugin mode. In this case you can setup InternetFileSize to act like windows tooltip. Learn more about startup modes in InternetFileSize settings section.


Interface and settings

Interface
and settings
InternetFileSize settings window
InternetFileSize main menu

InternetFileSize settings window

  • Startup Mode dropdown list
  • Size Metrics dropdown list
  • Average Download Speed edit box
  • Transparency slider (available in Windows 2000, XP or higher)
  • Always On Top option
  • Check for Internet connection option
  • Proxy settings

• Startup Mode
This dropdown list allows select startup mode of the InternetFileSize window.
  • Default
    You have to click the "Get" button to retrieve a file size;
  • Auto
    The InternetFileSize gets a file size automatically if it is started from the Internet Explorer right-click menu or got an URL after Drag & Drop operation;
  • Tooltip
    The InternetFileSize window works like standard Windows tooltip: It appears when have got an URL or started from the Internet Explorer right-click menu and hides after any mouse click. Getting size of the file works like in the [auto] mode (see above). It is recommended to use this option only if the option Always On Top is active.

• SizeMetrics dropdown list
This dropdown list allows selecting what metric system is more suitable to you. You can select bytes, kilobytes (1 KByte = 1024 bytes) or megabytes(1 MByte = 1024 KB).
If you select Auto the InternetFileSize will choose the most preferable value automatically.

• Average Download Speed edit box
You can write here your average download speed. Then the InternetFileSize tool will show approximate time you may spend for downloading this file. This value is used only for calculating download time and not required for any other reasons.

• Transparency
Available only in Windows 2000, XP or higher: Using slider you can select window transparency level.

• Always On Top
This options forces the InternetFileSize Tool keep its window on the top (above all another windows). It allows use the Internet Explorer window at the same time with the InternetFileSize without switching between theirs windows.

• Check for Internet connection before getting the file size
If this option is set then InternetFileSize tool will check-up for Internet Connection prior getting file size. Otherwise you will see an Internet Connection Wizard which prompts connection if you trying to get remote file size browsing off-line pages.

• Configure proxy support
  1. Use proxy server.
    • Direct connection
      Do not use proxy server.
    • Same as Internet Explorer (recommended)
      Server name and port will be retrieved from Internet Explorer proxy settings. You can define your name and password if required, otherwise you will be asking for it when password needed.
    • User settings
      You can define server name, port, user name and password.
  2. Proxy address and port
  3. User name and password
WARNING: For security reasons we recommends do not save your password and input it every time when InternetFileSize ask for it.

InternetFileSize main menu

Menu image
• Paste link
Paste link from the clipboard. Note, that you can also drag&drop link or text from the web page, text document etc.

• Copy source URL
Copy source URL to clipboard.

• Open source URL in Browser
Launch you default web browser and open source URL in it.

• Copy URL
Copy URL to clipboard.

• Open URL in Browser
Launch you default web browser and open URL in it.

• Settings…
Open Settings window.

• Moveax web site
You needn't remember where you can get latest version of the utility or keep in mind contact information. Just click the Moveax web site menu and your browser will be redirected to the Moveax web site automatically.
Note: This information also available from About dialog and from this help file (see Contacts topic).

• Help
Opens this help file.

• About
Shows "About InternetFileSize" dialog that has information about the InternetFileSize version, author and site information.


ViewFolderSize Pro

ViewFolderSize
Pro
Featuring ViewFolderSize Pro

Click to enlarge [32.0 KB]
License: | Shareware
System requirements: Windows 2000, XP, 2003 or Windows XP/2003 x64 edition
Support: | vfspro@moveax.com
Web site: | http://www.moveax.com/viewfoldersizepro/
Download: | Download EXE Download ZIP
Register link: | Register Now!

ViewFolderSize Pro is the newest version of a slim add-on utility for Windows platforms. This highly configurable application enables you to view total file and folder size details directly in Windows Explorer without having to switch to another application. And its unbeatable combination of high speed performance, real-time size information, and flexible customization options for displaying information make ViewFolderSize Pro stand out against other competing software.

Unlike other related utilities, this program updates size-related information in real-time. Therefore, you will no longer have to click on the "Refresh" button to view changes. Also, you can more easily tailor the viewing style based on your individual preferences. And last but not least, ViewFolderSize Pro perfectly integrates with Windows Explorer. While the majority of competitors design their products as stand-alone utilities that poorly imitate Windows Explorer's interface, this utility blends with Explorer and can be accessed simply by clicking on the toolbar icon.

ViewFolderSize Pro will add 3 new columns in the "Detailed" mode:
• "SizeEx"
The column shows file and folder sizes in a customizable format. "SizeEx" is a substitute for the standard "Size" column.
• "SizeEx %"
Shows how much space the file/folder occupies in the root folder by percentage. Information can be shown in graphical (bars) and/or number (values) styles. "SizeEx %" allows users to easily analyze the files’ allocation on drives and improves information sensing.
• "SizeEx sort column"
The column allows the sorting of file and folder sizes in any units. Often, Windows Explorer does not perform the sorting function by size correctly. For example, sorting is impossible "Auto" mode. For accurate work, you can set the "SizeEx sort column".

MAIN FEATURES:

• High speed performance:
Likely you have used software that slowly calculates total folder and file sizes in a single window using the "Update" button. ViewFolderSize Pro shows total file and folder sizes in real-time without affecting your system.

• Integration with Windows Explorer:
All folder and file size information appears directly in Windows Explorer. ViewFolderSize Pro can be configured by a single click on the toolbar.

• Native x64 architecture support:
Now ViewFolderSize Pro works as a native 64-bit application for the Microsoft Windows XP/2003 x64 edition and works as a native 32-bit application for Microsoft Windows 2000/XP/2003.

• Customization flexibility:
You can easily customize the settings related to file and/or folder display style, including metrics which can be in bytes, Kbytes, Mbytes, Gbytes, separators, or by decimal digits capacity. Or you can use the "Auto" mode to automatically select optimal units for size representation.

• Data visualization:
ViewFolderSize Pro shows a disk space diagram. Now you know what folder occupies the most disk space!

• Advanced sorting:
The sorting feature is available in any mode (including "Auto").

• Convenient interface:
Our developers care that your experience is convenient and effective. All results are easily visible and all settings are at your disposal.

Feature comparison

This table lists the feature differences between ViewFolderSize and ViewFolderSize Pro.

Feature | ViewFolderSize | ViewFolderSize Pro
Windows XP/2003 x64 support | No | Yes
Cache (fast size calculation speed) | No | Yes
Sorting in any mode (including "Auto") | No | Yes
Advanced settings | No | Yes
Subfolders percents comparison | No | Yes
Working under Windows 2000, XP, 2003 | Yes | Yes
Working under Windows ME | Yes | No
Complete Unicode support | No | Yes